<%@page import="dermi.*, org.planet.snap.*, org.planet.p2pcm.*, org.snap.jounin.*, java.util.*" %>

<%@include file="extra/components.jsp" %>

<%
	String username = (String) session.getAttribute("participant");
	if(username==null) response.sendRedirect("index.jsp");
	Participant participant = jounin.getParticipant(username);
	if(participant==null) response.sendRedirect("index.jsp");

	Portal portal = null;
	session.setAttribute("potral", portal);
	
	String error = request.getParameter("error");
%>

<%@include file="extra/main_header.jsp" %>

<table width="100%" colspan="0" rowspan="0">
<tr><td valign="top" width="40%">

<div class="box">
	<h1>Portals list:</h1>
	<%
		Collection portals = participant.getPortals();
		Iterator it = portals.iterator();
		boolean sw = true;
		for (int i=0;it.hasNext();i++) {
			String idString = (String) it.next();
			String color = "#a1d9ff";
			if (sw) color = "#6e8dd3";
			sw = !sw;
			portal = jounin.getPortal(idString);
			Collection participants = portal.getParticipants();
			Iterator itp = participants.iterator();
			String part_str = "Participants: ";
			while(itp.hasNext()) {
				part_str += (String)itp.next();
				part_str += ", ";
			}
			if(portal!=null){
				%><div style="padding: 4px; margin: 0px; padding-left:20px; background-color: <%=color%>; text-align: left; margin-bottom: 2px">
				<a href="del_portal.jsp?name=<%=idString%>" style="float:right; display:inline;" onclick="return Confirm('Are you sure ?');">
					<img src="images/trash.gif" border="0"/></a>
				<a href="portal.jsp?portal_id=<%=idString%>"><%=idString%></a><br/>
				<i><%=portal.getDescription()%></i><br/>
				<span style="font-size: 10px"><%=part_str.substring(0,part_str.length()-2)%></span>
				</div><%
			}
		}
	%>
</div>
	
</td><td valign="top">

<div class="box">
	<h1>Create new portal</h1>
	<form action="add_portal.jsp" method="post" onsubmit="return ValidateForm(document.forms[0]);">
	<table align="center">
		<tr><td>Name:</td><td> <input type="text" name="name" size="20" /></td></tr>
		<tr><td>Description:</td><td> <input type="text" name="description" size="60" /></td></tr>
	</table>
		<input type="submit" name="Create" value="Create" />
	</form>
</div>

<div class="box">
	<h1>Last Participants:</h1>
	<table align="center">
	<%
		long now = Calendar.getInstance().getTimeInMillis();
		ArrayList lasts = jounin.getLastVisitors();
		Iterator lstIt = lasts.iterator();
		while(lstIt.hasNext()) {
			Map.Entry entry = (Map.Entry) lstIt.next();
			long time = (long)(now - (Long)entry.getValue())/1000;
			String name = (String)entry.getKey();
			%>
			<tr><td><b><%=name%>:</b></td><td><%
				if(time<60){
					out.println(time+" seconds ago.");
				}else if(time<3600){
					out.println((int)(time/60)+" minutes ago.");
				}else{
					out.println((int)(time/3600)+" hours ago.");
				}
				%></td></tr>
			<%
		}
		%>
	</table>
</div>

</td></tr>
</table>

<script>
<%
	if(error!=null) {
		if(error.compareTo("portalexists")==0) {
			out.println("alert('This portal already exists.')");
		}
		else if(error.compareTo("notadmin")==0) {
			out.println("alert('You need to be an admin to enter.')");
		}
	}
%>
</script>

<%@include file="extra/main_footer.jsp" %>
