<%@page import="dermi.*, dermi.core.*, dermi.util.pastry.*, dermi.exception.*, org.planet.p2pcm.*, org.planet.snap.*, java.util.*, java.io.*, java.net.*,
                org.snap.jounin.*,com.oreilly.servlet.*,com.oreilly.servlet.multipart.*"
%>

<%
response.setHeader("Cache-Control","no-cache"); //HTTP 1.1
response.setHeader("Pragma","no-cache"); //HTTP 1.0
response.setDateHeader ("Expires", 0); //prevents caching at the proxy server

// Check for null parameters
String urlString = request.getParameter ("url");
String nameString = request.getParameter ("name");
Portal portal = (Portal) session.getAttribute("portal"); 

Application jounin_app = (Application) application.getAttribute ("snapApp");
DHTHandler dht = jounin_app.getStorageContext();


 //file path -> file uploader
 if (urlString==null) {
  //file uploader
  String fileName = null;
  File f = null;  
  Properties prop = System.getProperties();
  String separator= (String)prop.getProperty("file.separator");
  String path = "."+separator+"shared_files"+separator;
    
  try  {
  
	MultipartParser mp = new MultipartParser(request,1024*1024*1024);
	Part part;
	while ((part = mp.readNextPart()) != null) {
	   String name = part.getName();
		if (part.isFile())   {
		   FilePart filePart = (FilePart) part;
		   fileName = filePart.getFileName();
		   if (fileName != null) {                           
		      f = new File(path + separator+ fileName);
			  filePart.writeTo(f);
			}
			else out.println("No file found");
		}
		else if (part.isParam()) {
		  ParamPart paramPart = (ParamPart) part;
		  if (paramPart.getName().equals("name"))  nameString = paramPart.getStringValue();
		}
	}
	
	//ParameterParser parser = new ParameterParser(request);
    //nameString = parser.getStringParameter("name");
    //System.out.println("name decoded "+nameString);
	
    } catch (Exception ex) {
   	    System.out.println("Error in upload operation");
		ex.printStackTrace();
    }  
  
	if (f!=null) {
	  urlString = f.toURL().toString();
	  
      if (nameString==null) {
        String filename = urlString.substring(urlString.lastIndexOf('\\') + 1);
        nameString = filename.substring(filename.lastIndexOf('/') + 1);    	  
      }	  
      
	  Id id = HashGenerator.generateHash(nameString);

      //Create torrent?
      
      URL url = new URL(urlString);
	  dht.insertURL(id,url);
	  portal.addResource(nameString,"file");

	}   
	//else download error!
	
  }
  else { // url -> link


	Id id = HashGenerator.generateHash(nameString);
	  
    dht.insert(id,urlString);
    portal.addResource(nameString,"bookmark");    
  }

//This code refresh resources portlets with new file added.
//<HTML>
//<HEAD>
//<script src="js/portlets.js"></script>
//<script language="javascript">
//<!--
//_refresh("i1","show_resources.jsp");
//_refresh("i2","edit_resources.jsp");
//-->
//</script>
//</HEAD>
//<BODY>
//</BODY>
//</HTML>

%>
