package org.snap.jounin;

import java.io.Serializable;

public class ParticipantProfile implements Serializable {
	public enum PortletState {CLOSE, VIEW, EDIT, HELP}
	public enum PortletType {P2P, WEB}
	
	private String portletId;
	private int col;
	private int row;
	private int height;
	private PortletState state;
	private PortletType type;
	
	public ParticipantProfile(String name) {
		portletId = name;
		col = 0;
		row = 0;
		height = 500;
		state = PortletState.CLOSE;
	}
	
	public int getCol() {
		return col;
	}

	public void setCol(int col) {
		this.col = col;
	}

	public int getRow() {
		return row;
	}

	public void setRow(int row) {
		this.row = row;
	}
	
	public PortletState getState() {
		return state;
	}

	public void setState(PortletState state) {
		this.state = state;
	}
	
	public PortletType getType() {
		return type;
	}

	public void setType(PortletType type) {
		this.type = type;
	}
	
	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}
}
