package org.snap.jounin;

import dermi.exception.*;
import dermi.annotation.*;
import org.planet.p2pcm.*;

@DCMFactory(
		id = "jo5t5ba0-43a3-01d9-9269-4813260c9n69",
		stateful = true,
		persistent = PersistenceType.CONTAINER,
		replicated = true,
		url = "p2p://participant-component.urv.net"
)
public class ParticipantFactory extends ComponentFactory {
	public ParticipantFactory (String componentURL) throws RemoteException {
		super (componentURL);
	}
	
	public ComponentInterface createInstance (String interf, String instance) throws InterfaceNotFoundException, RemoteException {
		return super.createInstance (interf, instance);
	}
	
	public ComponentInterface createInstance (String interf, String instance, Object...args) throws InterfaceNotFoundException, RemoteException {
		return super.createInstance (interf, instance, args);
	}
}
